<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<!--reference to main.css removed-->
<?php
include ("../navigation/header.php");
$page_name = "Stores-main";
include ("../navigation/access.php");

if ($permission_num==1) {
	include ("../navigation/store_sidebar.php");


?>
</head>
<?php
$receive_id=$_GET['receive_id'];

$table_name = $_SESSION['db_prefix']."_receive_store";
$receive_query = "SELECT *  FROM $table_name WHERE  receive_id = '".$receive_id."' ";
$receive_result = mySQL_query($receive_query);
$b0 = mysql_result($receive_result, 0, "receive_date");
$b1 = mysql_result($receive_result, 0, "vertex_order");
$b2 = mysql_result($receive_result, 0, "supplier_id");
$b3 = mysql_result($receive_result, 0, "receive_id");
$b4 = mysql_result($receive_result, 0, "branch");



$table_name = $_SESSION['db_prefix']."_receive_store";
$check_query = "SELECT receive_id FROM $table_name WHERE  delivery_note = '".$b1."' AND supplier_id = '".$b2."' ";
$check_result = mySQL_query($check_query);
$check_num = mysql_num_rows($check_result);
if ($check_num>1) {
	  	$check_message="There are multiple receivals on this delivery note.";
		
		$table_name2 = $_SESSION['db_prefix']."_receive_store";
	  	$entry_query = "SELECT receive_id FROM $table_name2 WHERE  delivery_note = '".$b1."' AND supplier_id = '".$b2."' ";
		$entry_result = mySQL_query($entry_query);
		$entry_num = mysql_num_rows($entry_result);
	  $k=0;
	  $search_text="";
	  while ($k<$entry_num) {
	  $x1 = mysql_result($entry_result, $k, "receive_id");
	  if ($k==$entry_num-1) {
		$search_text = $search_text ."receive_id ='".$x1;
	  }
	  else {
	  $search_text = $search_text ."receive_id ='".$x1."' OR ";
	  }
	  $k++;
	  }
	  
	  $table_name = $_SESSION['db_prefix']."_receive_store_lines";
	 $line_query = "SELECT *  FROM $table_name WHERE  ".$search_text."' ";
	 $line_result = mySQL_query($line_query);
	 $line_num = mysql_num_rows($line_result);
}
else {
	$check_message="";
	$table_name = $_SESSION['db_prefix']."_receive_store_lines";
	$line_query = "SELECT *  FROM $table_name WHERE  receive_id = '".$receive_id."' ";
	$line_result = mySQL_query($line_query);
	$line_num = mysql_num_rows($line_result);
}


	
$table_name2 = $_SESSION['db_prefix']."_suppliers";
$customer_query = "SELECT * FROM $table_name2 WHERE supplier_id ='".$b2."' ";
$customer_result = mySQL_query($customer_query);
$customer_num = mysql_num_rows($customer_result);	

$a0 = mysql_result($customer_result, 0, "account_name");
$a5 = mysql_result($customer_result, 0, "contact1");
$a6 = mysql_result($customer_result, 0, "credit_cash");
$a7 = mysql_result($customer_result, 0, "post_address");
$a9 = mysql_result($customer_result, 0, "post_place");
$a10 = mysql_result($customer_result, 0, "phys_address");
$a11 = mysql_result($customer_result, 0, "phys_place");
$a12 = mysql_result($customer_result, 0, "web_site");
$a13 = mysql_result($customer_result, 0, "VAT_no");
$a15 = mysql_result($customer_result, 0, "email2");
$a23 = mysql_result($customer_result, 0, "fax");
$a24 = mysql_result($customer_result, 0, "phone");
$a26 = mysql_result($customer_result, 0, "country");
$a29 = mysql_result($customer_result, 0, "email1");
$a30 = mysql_result($customer_result, 0, "cell1");
$a32 = mysql_result($customer_result, 0, "cell2");
$a35 = mysql_result($customer_result, 0, "contact2");
$a36 = mysql_result($customer_result, 0, "notes");

$supplierTT =
		   "<table id=table_tool_tip width=250 ><tr><td  width=75>Name:</td><td width=175>".$a0."</td></tr><tr><td>Address:</td><td>".$a7."</td></tr><tr><td></td><td>".$a9."</td></tr><tr><td>Contact:</td><td>".$a5."</td></tr><tr><td>Phone:</td><td>".$a24."</td></tr><tr><td>Cell:</td><td>".$a30."</td></tr></table><br><b>Click for details</b>";   


?>
<!--style sheets-->

<link rel="stylesheet" type="text/css" href="../css/tooltip.css" />

<!--jscript-->
<script language="JavaScript" src="../jscript/tooltip.js"  type="text/javascript"></script>

<body>
<div class="main_frame" style=" height:auto; min-height:560px;">
  <table id="tableMain" >
    <!--begin of tableMain-->
    <tr>
      <td width="830" height="62" valign="top" ><div class="page_head_frame">
          <table width="809" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><label class="label_page_head">Received from:</label>
                &nbsp;&nbsp;&nbsp;
                <label class="label_page_head_2"> <?php echo $a0 ?></label></td>
            </tr>
          </table>
        </div>
        <br />
        <br /></td>
      <!--center of tableMain--> 
    </tr>
    <tr>
      <td height="93"><!--center of tableMain-->
        
        <div class="page_middle_frame">
          <table width="592" id="table_display" >
            <tr>
              <td width="114" align="left" valign="top">Received from:</td>
              <td width="155" align="left" valign="top"><a href="displaySupplier.php?supplier_id=<?php echo $b2 ?>" onMouseover="ddrivetip('<?php echo $supplierTT ?>', 200)"; onMouseout="hideddrivetip()"><?php echo $a0?></a></td>
              <td width="146" align="left" valign="top">Date:</td>
              <td width="157" align="left" valign="top"><?php echo date("d-m-Y", strtotime($b0 )) ?></td>
            </tr>
            <tr>
              <td align="left" valign="top">Receive no:</td>
              <td align="left" valign="top"><a href="displaySupplier.php?supplier_id=<?php echo $b2 ?>" onMouseover="ddrivetip('<?php echo $supplierTT ?>', 200)"; onMouseout="hideddrivetip()"><?php echo $b3?></a></td>
              <td align="left" valign="top">Vertex order:</td>
              <td align="left" valign="top"><?php echo $b1 ?></td>
            </tr>
            <tr>
              <td align="left" valign="top">Received for:</td>
              <td align="left" valign="top"><a href="displaySupplier.php?supplier_id=<?php echo $b2 ?>" onMouseover="ddrivetip('<?php echo $supplierTT ?>', 200)"; onMouseout="hideddrivetip()"><?php echo $b4?></a></td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
            </tr>
            <tr>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
            </tr>
            <tr>
              <td colspan="4" align="left" valign="top"><?php echo $check_message?></td>
            </tr>
          </table>
        </div></td>
    </tr>
    <tr>
      <td><div class="page_middle_frame">
          <table width="592" id="table_display" >
            <tr>
              <td height="26" colspan="2" align="left" valign="top">Item</td>
              <td width="97" align="left" valign="top">quantity</td>
              <td width="68" align="left" valign="top">price (BWP)</td>
              <td width="122" align="left" valign="top">total</td>
            </tr>
            <?php
				$i=0;
				$sub_tot=0;
				$a6_total=0;
				 while ($i<$line_num){
					 $a0 = mysql_result($line_result, $i, "receive_line_id");
					 $a1 = mysql_result($line_result, $i, "store_item_id");
					 $table_name = $_SESSION['db_prefix']."_store_items";
						$item_query = "SELECT item_name, unit FROM $table_name WHERE store_item_id = '".$a1."' ";
						$item_result = mySQL_query($item_query);
						$a1a = mysql_result($item_result, 0, "item_name");
						$a3a = mysql_result($item_result, 0, "unit");
					 $a2 = mysql_result($line_result, $i, "quantity");
					 $a3 = mysql_result($line_result, $i, "price");
					$a5=$a2*$a3;
					$a6_total=$a6_total+$a5;
					 
				 ?>
            <tr>
              <td colspan="2" valign="top"><?php echo $a1a ?></td>
              <td valign="top"><?php echo $a2 ?></td>
              <td align="right" valign="top"><div align="right"><?php echo $a3." /".$a3a ?></div></td>
              <td align="right" valign="top"><div align="right"><?php echo number_format($a5, 2, '.', ',')?></div></td>
            </tr>
            <?php 
			   // $a6_total=$a6_total+$a6;
				$i++;
				 }
				 ?>
            <tr>
              <td colspan="2" align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top"></td>
            </tr>
            <tr>
              <td colspan="2" align="left" valign="top">&nbsp;</td>
              <td colspan="2" align="right" valign="top"><div align="right">Total:</div></td>
              <td align="left" valign="top"><div align="right"><?php echo number_format($a6_total, 2, '.', ',') ?></div></td>
            </tr>
          </table>
        </div></td>
    </tr>
  </table>
  <!--end of tableMain--> 
  
</div>
<?php include ('../navigation/side_bar.php'); ?>

</body>
<?php } else { ?>
<script> needToConfirm = false; </script>
<?php
$_SESSION['denied_return'] = "sales/sales_main.php";	
include ("../navigation/sales_sidebar.php");?>
<body onLoad="accessdenied(); return false">
</body>
<?php }
?>
</html>